Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMultiPartExtentTranslator Class Reference

`#include <vtkMultiPartExtentTranslator.h>`

Inheritance diagram for vtkMultiPartExtentTranslator:

[legend]
Collaboration diagram for vtkMultiPartExtentTranslator:

[legend]
List of all members.

## Detailed Description

Returns the whole extent for any piece.

Date:
  2002/12/11 22:47:41

Revision:
  1.2

This is used when a parallel data set is composed of multple structured pieces.

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (95%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkMultiPartExtentTranslator.cxx)`
  - .`h` (`/Common/vtkMultiPartExtentTranslator.h)`

Tests:
  vtkMultiPartExtentTranslator (Tests)

Definition at line 45 of file vtkMultiPartExtentTranslator.h.

## Public Types
typedef vtkExtentTranslator | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual int | PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int *wholeExtent, int *resultExtent, int splitMode, int byPoints)
## Static Public Methods
vtkMultiPartExtentTranslator * | New ()
int | IsTypeOf (const char *type)
vtkMultiPartExtentTranslator * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMultiPartExtentTranslator ()
| ~vtkMultiPartExtentTranslator ()

## Member Typedef Documentation

typedef vtkExtentTranslator vtkMultiPartExtentTranslator::Superclass

| Reimplemented from vtkExtentTranslator. Definition at line 50 of file vtkMultiPartExtentTranslator.h.

## Constructor & Destructor Documentation

vtkMultiPartExtentTranslator::vtkMultiPartExtentTranslator | ( |  | ) | `[protected]`

vtkMultiPartExtentTranslator::~vtkMultiPartExtentTranslator | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMultiPartExtentTranslator* vtkMultiPartExtentTranslator::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkExtentTranslator.

virtual const char* vtkMultiPartExtentTranslator::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExtentTranslator.

int vtkMultiPartExtentTranslator::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExtentTranslator.

virtual int vtkMultiPartExtentTranslator::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExtentTranslator.

vtkMultiPartExtentTranslator* vtkMultiPartExtentTranslator::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExtentTranslator.

virtual int vtkMultiPartExtentTranslator::PieceToExtentThreadSafe | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel,
|  | int * | wholeExtent,
|  | int * | resultExtent,
|  | int | splitMode,
|  | int | byPoints
| ) | `[virtual]`

| These are the main methods that should be called. These methods are responsible for converting a piece to an extent. The signatures without arguments are only thread safe when each thread accesses a different instance. The signatures with arguements are fully thread safe. Reimplemented from vtkExtentTranslator.

The documentation for this class was generated from the following file:

- Common/vtkMultiPartExtentTranslator.h